@charset "UTF-8";
body {
  background-color: #F2F4F3;
}
body.is-news-detail {
  background-color: #fff;
}

/*-----------------------------------
フェードイン
------------------------------------*/
.js-fadeIn {
  translate: 0 0;
  opacity: 1;
}

.js-fadeIn.is-start {
  translate: 0 20px;
  opacity: 0;
}

.js-fadeIn.is-show {
  translate: 0 0;
  opacity: 1;
  transition: all 1s ease;
}

/* 左からフェードイン */
.js-fadeIn--lr.is-start {
          transform: translateX(-50px);
}

/* 右からフェードイン */
.js-fadeIn--rl.is-start {
          transform: translateX(50px);
}

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  overflow: hidden;
  clip: rect(0 0 0 0);
  white-space: nowrap;
}

/*-----------------------------------
フェードイン（共通 + 左右）
------------------------------------*/
/* 初期状態（非表示） */
.js-fadeIn.is-start,
.js-fadeIn--lr.is-start,
.js-fadeIn--rl.is-start {
  opacity: 0;
          transform: translate(0, 20px);
  transition: opacity 1s ease, transform 1s ease;
}

/* 表示状態 */
.js-fadeIn.is-show,
.js-fadeIn--lr.is-show,
.js-fadeIn--rl.is-show {
  opacity: 1;
          transform: translate(0, 0);
}

/* 左から */
.js-fadeIn--lr.is-start {
          transform: translate(-50px, 20px);
}

/* 右から */
.js-fadeIn--rl.is-start {
          transform: translate(50px, 20px);
}
